Skip to main content
GET
/
v3
/
custom-segments
List Custom Segments
curl --request GET \
  --url https://api-{dc}.moengage.com/v3/custom-segments \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: <content-type>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{ "data": [ { "name": "api_test_7", "id": "6388a97a02adb9071ca84ce9", "created_time": "2022-12-01T13:17:46.409000", "type": "ELASTIC_SEARCH", "source": "API" } ], "response_id": "WYanfieM", "type": "custom_segment" }
Rate Limit The rate limit is 50 request/minute, 200 requests/hour, and 1000 requests/day.

Authorizations

Authorization
string
header
required

Basic Authentication using your Workspace ID (as username) and Data API Key (as password) from the MoEngage Dashboard.

Headers

Content-Type
string
required

Set the Content-Type header to application/json.

Example:

"application/json"

MOE-APPKEY
string
required

The Workspace ID (APP ID) of your MoEngage account.

Query Parameters

name
string

The URL-encoded name of the custom segment to retrieve.

Response

Successful retrieval of custom segments. Returns a list of custom segments matching the query criteria. An empty list is returned if no segments match.

Response schema for listing custom segments.

data
object[]

Array of custom segments matching the query criteria.

response_id
string

A unique identifier for this API response.

type
string

The type of resource referenced in the response.

Example:

"custom_segment"